SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
SLNet::RNS2_SendParameters Struct Reference

`#include <slikenet/socket2.h>`

## Public Member Functions

| RNS2_SendParameters ()

## Public Attributes

char * | data
int | length
SystemAddress | systemAddress
int | ttl

## Detailed Description

Definition at line 78 of file socket2.h.

## Constructor & Destructor Documentation

SLNet::RNS2_SendParameters::RNS2_SendParameters | ( |  | ) |

inline

Definition at line 80 of file socket2.h.

References ttl.

## Member Data Documentation

char* SLNet::RNS2_SendParameters::data

Definition at line 81 of file socket2.h.

Referenced by SLNet::RNS2_Berkley::BindShared(), SLNet::RNS2_Berkley::BlockOnStopRecvPollingThread(), SLNet::RakPeer::Ping(), SLNet::ProcessOfflineNetworkPacket(), SLNet::RakPeer::RunUpdateCycle(), SLNet::RakPeer::SendOutOfBand(), SLNet::RakPeer::SendTTL(), and SLNet::ReliabilityLayer::Update().

int SLNet::RNS2_SendParameters::length

Definition at line 82 of file socket2.h.

Referenced by SLNet::RNS2_Berkley::BindShared(), SLNet::RNS2_Berkley::BlockOnStopRecvPollingThread(), SLNet::RakPeer::Ping(), SLNet::ProcessOfflineNetworkPacket(), SLNet::RakPeer::RunUpdateCycle(), SLNet::RakPeer::SendOutOfBand(), SLNet::RakPeer::SendTTL(), and SLNet::ReliabilityLayer::Update().

SystemAddress SLNet::RNS2_SendParameters::systemAddress

Definition at line 83 of file socket2.h.

Referenced by SLNet::RNS2_Berkley::BindShared(), SLNet::RNS2_Berkley::BlockOnStopRecvPollingThread(), SLNet::RakPeer::Ping(), SLNet::ProcessOfflineNetworkPacket(), SLNet::RakPeer::RunUpdateCycle(), SLNet::RakPeer::SendOutOfBand(), SLNet::RakPeer::SendTTL(), and SLNet::ReliabilityLayer::Update().

int SLNet::RNS2_SendParameters::ttl

Definition at line 84 of file socket2.h.

Referenced by SLNet::RNS2_Berkley::BindShared(), SLNet::RNS2_Berkley::BlockOnStopRecvPollingThread(), RNS2_SendParameters(), and SLNet::RakPeer::SendTTL().

The documentation for this struct was generated from the following file:

- Source/include/slikenet/socket2.h